  subroutine f_initial(lb,ub,s, &
        params,an,bn,cn,dn,phi)
  use tensors
  use input_params
  use initial_i !F90 interface blok for initial
  implicit none
  integer, dimension(3)         :: lb,ub,s
  real*8, dimension(s(1),s(2),s(3)), target :: & 
        an,bn,cn,dn,phi 
  real*8,dimension(100) :: params
   
   
  real*8 h,dt
  h=params(98)
  dt=params(99)

  params(P_LOCAL_LOWER_X)=lb(1)
  params(P_LOCAL_LOWER_Y)=lb(2)
  params(P_LOCAL_LOWER_Z)=lb(3)
  params(P_LOCAL_UPPER_X)=ub(1)
  params(P_LOCAL_UPPER_Y)=ub(2)
  params(P_LOCAL_UPPER_Z)=ub(3)

  call initial(params,an,bn,cn,dn,phi)
  return
  end
